List batch predictions
import requests
url = "https://api.datagrid.com/v1/batch-predictions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.datagrid.com/v1/batch-predictions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.datagrid.com/v1/batch-predictions \
--header 'Authorization: Bearer <token>'{
"object": "list",
"data": [
{
"object": "batch_prediction",
"id": "bpred_abc123",
"status": "completed",
"model": "gemini-3.1-flash-lite",
"completion_window": "24h",
"created_at": "2026-04-10T12:00:00.000Z",
"expires_at": "2026-04-11T12:00:00.000Z",
"in_progress_at": "2026-04-10T12:01:00.000Z",
"finalizing_at": "2026-04-10T12:05:00.000Z",
"completed_at": "2026-04-10T12:06:00.000Z",
"failed_at": null,
"cancelling_at": null,
"cancelled_at": null,
"expired_at": null,
"request_counts": {
"total": 2,
"processing": 0,
"succeeded": 2,
"errored": 0,
"canceled": 0,
"expired": 0
},
"metadata": {
"project": "alpha"
},
"error": null,
"results_url": "/v1/batch-predictions/bpred_abc123/results"
}
],
"next_cursor": "<string>",
"has_more": true
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"errors": [
{
"pointer": "<string>",
"code": "<string>",
"message": "<string>",
"custom_id": "<string>"
}
],
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}Batch Predictions
List batch predictions
Returns batch predictions for the authenticated teamspace in reverse chronological order. Use after with next_cursor from the previous response to paginate.
GET
/
batch-predictions
List batch predictions
import requests
url = "https://api.datagrid.com/v1/batch-predictions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.datagrid.com/v1/batch-predictions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.datagrid.com/v1/batch-predictions \
--header 'Authorization: Bearer <token>'{
"object": "list",
"data": [
{
"object": "batch_prediction",
"id": "bpred_abc123",
"status": "completed",
"model": "gemini-3.1-flash-lite",
"completion_window": "24h",
"created_at": "2026-04-10T12:00:00.000Z",
"expires_at": "2026-04-11T12:00:00.000Z",
"in_progress_at": "2026-04-10T12:01:00.000Z",
"finalizing_at": "2026-04-10T12:05:00.000Z",
"completed_at": "2026-04-10T12:06:00.000Z",
"failed_at": null,
"cancelling_at": null,
"cancelled_at": null,
"expired_at": null,
"request_counts": {
"total": 2,
"processing": 0,
"succeeded": 2,
"errored": 0,
"canceled": 0,
"expired": 0
},
"metadata": {
"project": "alpha"
},
"error": null,
"results_url": "/v1/batch-predictions/bpred_abc123/results"
}
],
"next_cursor": "<string>",
"has_more": true
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"errors": [
{
"pointer": "<string>",
"code": "<string>",
"message": "<string>",
"custom_id": "<string>"
}
],
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The maximum number of batch predictions to return, between 1 and 100.
Required range:
1 <= x <= 100Opaque cursor returned by a previous list call.
Optional filter by batch prediction status.
Current batch lifecycle state. Terminal states are completed, failed, expired, and cancelled.
Available options:
validating, failed, in_progress, finalizing, completed, expired, cancelling, cancelled Response
List of batch predictions
Cursor-paginated list of batch predictions.
The object type, which is always list.
Available options:
list Batch predictions in reverse chronological order.
Show child attributes
Show child attributes
Opaque cursor to fetch the next page.
Whether another page is available.